
Foreman - Bug #6229

validate installation media exists for new host if pxe_build

06/16/2014 08:26 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Host creation   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Has duplicate Foreman - Bug #5153: Foreman-proxy fails silently when medium_i... Duplicate 04/10/2014

Associated revisions

Revision 6568415c - 06/20/2014 08:58 AM - Joseph Magen

fixes #6229 - validate installation media exists for new host if pxe_build

Revision 316d78c0 - 06/25/2014 04:44 PM - Joseph Magen

[REFACTOR] refs #6229 - extract validation to a method

this enables plugins (e.g. katello) to override the validation when

requried.

History

#1 - 06/16/2014 12:59 PM - Joseph Magen

- Category set to Host creation

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1516

#2 - 06/20/2014 08:56 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#3 - 06/20/2014 09:32 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6568415c2bf5493bc344eeeedebbe26f8723b7d3.

#4 - 02/29/2016 10:04 AM - Dominic Cleal

- Has duplicate Bug #5153: Foreman-proxy fails silently when medium_id is not supplied added
